/**
 * @HelpWindow.java     17.07.2010
 * build: 17.07.2010
 * Copyright 2010 yourwebs.de. All rights reserved
 * @author J&ouml;rg Czeschla
 *
 * This file is a part of SchiebePuzzle
 * Spiele is free software; you can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * SchiebePuzzle is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License along with Spiele;
 * if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 */
package de.yourwebs.schiebepuzzle;

import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 * shows a help window displaying the actual image in total
 * 
 */
public class HelpWindow extends JFrame {

	private static final long serialVersionUID = 1L;
	private JLabel label;
	private PuzzleModel model;

	public HelpWindow(PuzzleModel model) {
		this.model = model;
		// size must be defined before loading an image
		this.setSize(400, 400);
		label = new JLabel();
		this.add(label);
		setHelpImg();
		this.setLocation(100, 100);
		this.setAlwaysOnTop(true);
		this.setVisible(true);
	}

	public void setHelpImg() {
		label.setIcon(model.getHelpIcon(this));
	}
}
